extends Node3D

signal step_triggered()

@export var one_shot: bool = false
var _triggered := false


func _ready() -> void:
	add_to_group("steppable")


func stepped_on() -> void:
	if one_shot and _triggered:
		return
	_triggered = true
	step_triggered.emit()
